Bug Hunting Session
Bug 92714 - Deletion of an index/table as first element of a page resets page style to default
Summary: Deletion of an index/table as first element of a page resets page style to de...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Styles-Page
  Show dependency treegraph
 
Reported: 2015-07-13 23:02 UTC by Michael Fiedler
Modified: 2019-01-18 09:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test case document for reproducing the problem (11.73 KB, application/vnd.oasis.opendocument.text)
2015-07-13 23:02 UTC, Michael Fiedler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Fiedler 2015-07-13 23:02:05 UTC
Created attachment 117218 [details]
test case document for reproducing the problem

Steps to reproduce:

1. Open the attached document.  The first page is using page style "First page".  It has a header and two tables of content at the beginning of the text body.
2. Delete the first table of contents.


Expected behaviour:

No side effects occur.  (Everything works as expected if the second table of contents is being deleted.)


Actual behaviour:

On deletion of the table of contents, the page style is reset to "Default Style", making the header disappear.
Comment 1 Michael Fiedler 2015-07-13 23:03:57 UTC
I can also reproduce this using LibreOffice 3.5.4.2 from Debian Linux.
Comment 2 Michael Fiedler 2015-07-13 23:06:51 UTC
The latest version I have tested is LibreOffice 4.4.4.3.
Comment 3 Buovjaga 2015-07-23 16:59:02 UTC
Repro with test document.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+ (x64)
Build ID: e92a8b92072284fd7c37d7bb3e1e8fe72a185f35
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-22_21:46:26
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-09-20 10:18:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920